﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace RadComboBox_SL_720753
{
    public class TileViewItem : INotifyPropertyChanged
    {
        private ObservableCollection<string> comboBoxItems;

        public ObservableCollection<string> ComboBoxItems
        {
            get { return comboBoxItems; }
            set { comboBoxItems = value; OnPropertyChanged("ComboBoxItems"); }
        }

        private string header;

        public string Header
        {
            get { return header; }
            set { header = value; OnPropertyChanged("Header"); }
        }


        private string selectedItem;

        public string SelectedItem
        {
            get { return selectedItem; }
            set 
            { 
                selectedItem = value; 
                OnPropertyChanged("SelectedItem"); 
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }

    }
}
