﻿using System;
using System.Collections.ObjectModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace RadComboBox_SL_720753
{
    public class ViewModel
    {
        public ObservableCollection<TileViewItem> TileViewItems { get; set; }

        public ViewModel()
        {
            this.TileViewItems = new ObservableCollection<TileViewItem>()
            {
                new TileViewItem()
                {
                    Header = "Tile Item 1", 
                    ComboBoxItems = new ObservableCollection<string>() { "Item 1" , "Item 2", "Item 3" },
                },

                new TileViewItem()
                {
                    Header = "Tile Item 2", 
                    ComboBoxItems = new ObservableCollection<string>() { "Item 1" , "Item 2", "Item 3" },
                },

                new TileViewItem()
                {
                    Header = "Tile Item 3", 
                    ComboBoxItems = new ObservableCollection<string>() { "Item 1" , "Item 2", "Item 3" },
                }
            };
        }
    }
}
